/***************************************************/
/* Class for simple character graphics figures to
/* send to the monitor.  This class can draw an 
/* asterisk on the screen as a test, but it is not
/* intended to be a figure used in graphics.  It is
/* intended to be used as a base class for the 
/* kinds of figures that will be used in graphis 
/* applications.
/****************************************************/

public class Figure
{
	private int offset;
	
	public Figure()
	{	offset = 0;
	}
	
	public Figure(int theOffset)
	{	offset = theOffset;
	}
	
	public void setOffset(int newOffset)
	{	offset = newOffset;
	}
	
	public int getOffset()
	{	return offset;
	}
	
	public void drawAt(int lineNumber)
	// draws the figure lineNumber of lines
	// down from the current line.
	{	
		for(int count=0; count < lineNumber; count++)
			System.out.println();
		drawHere();
	}
	
	public void drawHere()
	// draws the figure at the current line.
	{
		for(int count=0; count < offset; count++)
			System.out.println(' ');
		System.out.println('*');
	}
}