/*********************************************************
/* Class for triangles to be drawn on the screen. For
/* this class, a triangle points up and is completely
/* determined by the size of its base.  (Screen character
/* spacing determines the length of the sides, given the
/* base.)  This class inherits getOffset(), setOffset(),
/* and draw from Figure.
/*********************************************************/

class Triangle extends Figure 
{
	private int base;
	
	public Triangle()
	{	super();
		base = 0;
	}	
	
	public Triangle(int theOffset, int theBase)
	{	super(theOffset);
		base = theBase;
	}
	
	public void reset(int newOffset, int newBase)
	{	setOffset(newOffset);
		base = newBase;
	}
	
	public void drawHere()
	// draws the figure at the current line
	{	drawTop();
		drawBase();
	}
	
	private void drawBase()
	{	spaces(getOffset());
		for(int count = 0; count < base; count++)
			System.out.print('*');
		System.out.println();
	}		
	
	private void drawTop()
	// startOfLine will be the number of spaces to the
	// first '*' on a line.  Initially set to the number
	// of spaces before the top '*'.
	{	int startOfLine = getOffset() + base/2;
		spaces(startOfLine);
		System.out.println('*');  // top '*'
		int lineCount = base / 2 - 1;  // height above the base
		// insideWidth = number of spaces between two '*'s on a line
		int insideWidth = 1;
		for(int count = 0; count < lineCount; count++)  {
			// down 1 line so the first '*' is 1 more space to the left
			startOfLine--;
			spaces(startOfLine);
			System.out.print('*');
			spaces(insideWidth);
			System.out.println('*');
			// down 1 line so the inside is 2 spaces wider.
			insideWidth += 2;
		}
	}
	
	private static void spaces(int number)
	{	for(int count=0; count < number; count++)
			System.out.print(' ');
	}
}
		
	
